%global momorel 2
%global extname furigana
%global oooinstdir %{_libdir}/openoffice.org2.0

Summary: FURIGANA function extension for OpenOffice.org
Name:    openoffice.org-furiganafunc
Version: 0.4
%global prever 1
%global unopkgver %{version}pre%{prever}
Release: 0.%{prever}.%{momorel}m%{?dist}
Group:   Applications/Productivity
License: GPL
URL:     http://waooo.sourceforge.jp/wiki/index.php?%A4%D5%A4%EA%A4%AC%A4%CA%B4%D8%BF%F4
Source0: furigana-cvs20061027.tar.gz
Patch0:  furigana-makefile.patch
Requires: mecab >= 0.91, mecab-ipadic >= 0.91, openoffice.org-calc
BuildRequires: mecab-devel >= 0.91, openoffice.org-devel, zip
Requires(post,preun): openoffice.org-core
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This extension provides 5 Calc functions, FURIGANA, ASC, JIS, KATAKANA, HIRAGANA and HEPBURN, to manipulate Japanese text.

%prep
%setup -q -n %{extname}
%patch0 -p1

%build
# The script of openoffice.org-devel is messy now.
#source %{oooinstdir}/sdk/setsdkenv_unix.sh
export OO_SDK_HOME=%{oooinstdir}/sdk
export OFFICE_PROGRAM_PATH=%{oooinstdir}/program
export SDKBINDIR=${OO_SDK_HOME}/linux/bin
export PATH=${SDKBINDIR}:${PATH}
export LD_LIBRARY_PATH=%{oooinstdir}/program:${LD_LIBRARY_PATH}

make -f Makefile.linux

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{oooinstdir}/program
install -m 755 libfurigana.uno.so %{buildroot}/%{oooinstdir}/program
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 644 furigana-%{unopkgver}-Linux.uno.pkg %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%post
# registration to OOo
# for detailed usage of unopkg, see a following link
# http://docs.sun.com/app/docs/doc/819-1346/6n3n8r056?l=ja&a=view
#if [ "$1" -eq 1 ]; then
    if [ -x %{oooinstdir}/program/unopkg ]; then
        %{oooinstdir}/program/unopkg add -f --shared %{_datadir}/%{name}/furigana-%{unopkgver}-Linux.uno.pkg \
	|| echo "ERROR: Extension registering may fail if concurrent OOo process(es) are running. Plese quit all OOo process(es) before update/remove."
    fi
#fi

%preun
if [ "$1" -eq 0 ]; then
    if [ -x %{oooinstdir}/program/unopkg ]; then
        %{oooinstdir}/program/unopkg remove -f --shared furigana-%{unopkgver}-Linux.uno.pkg \
	|| echo "ERROR: Extension registering may fail if concurrent OOo process(es) are running. Plese quit all OOo process(es) before update/remove."
    fi
fi

%files
%defattr(-,root,root)
%doc AUTHORS DESCRIPTION* COPYING ChangeLog README*
%{oooinstdir}/program/libfurigana.uno.so
%{_datadir}/%{name}

%changelog
* Fri Dec 29 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.4-0.1-2m)
- add patch for adding "-fPIC" to compiler option 

* Wed Nov 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4-0.1.1m)
- build for Momonga
- It does not work correctly yet :-<
